{
    "namespace": "demoHudUI",
    "main":{
        "controls": [
            {
                "guideBookBtn@demoHudUI.guideBookBtn": {}
            }
        ],
        "layer": 1,
        "type": "panel"
    },
    "guideBookBtn@common.button" : {
        "$default_texture" : "textures/ui/btn_default",
        "$hover_texture" : "textures/ui/btn_hover",
        "$label_font_scale_factor" : 1,
        "$label_font_size" : "normal",
        "$label_layer" : 3,
        "$label_text" : "打开图鉴",
        "$nineslice_size" : 2,
        "$pressed_button_name" : "",
        "$pressed_texture" : "textures/ui/btn_pressed",
        "$texture_layer" : 2,
        "$default_text_color|default": [ 0.26, 0.26, 0.26 ],
        "$hover_text_color|default" : [ 1, 1, 1],
        "$pressed_text_color|default": [ 1, 1, 1 ],
        "anchor_from" : "bottom_middle",
        "anchor_to" : "bottom_middle",
        "bindings" : [
            {
                "binding_collection_name" : "",
                "binding_condition" : "always_when_visible",
                "binding_type" : "collection_details"
            }
        ],
        "button_mappings" : [],
        "controls" : [
            {
                "default@demoHudUI.defaultWithLabel": {}
            },
            {
                "hover@demoHudUI.hoverWithLabel": {}
            },
            {
                "pressed@demoHudUI.pressedWithLabel": {}
            }
        ],
        "is_handle_button_move_event" : true,
        "layer" : 10,
        "offset" : [ 0.0, -48.0 ],
        "size" : [ 60.0, 20.0 ],
        "visible" : true
    },
    "defaultWithLabel@demoHudUI.default": {
        "$default_text_color|default": [ 0.26, 0.26, 0.26 ],
        "$label_color": "$default_text_color",
        "controls": [
            {
                "label@demoHudUI.button_label": {}
            }
        ]
    },
    "lockedWithLabel@demoHudUI.locked": {
        "$locked_text_color|default": [ 0.69, 0.69, 0.69 ],
        "$label_color": "$locked_text_color",
        "controls": [
            {
                "label@demoHudUI.button_label": {}
            }
        ]
    },
    "pressedWithLabel@demoHudUI.pressed": {
        "$pressed_text_color|default": [ 1, 1, 1 ],
        "$label_color": "$pressed_text_color",
        "controls": [
            {
                "label@demoHudUI.button_label": {}
            }
        ]
    },
    "hoverWithLabel@demoHudUI.hover": {
        "$hover_text_color|default" : [ 1, 1, 1],
        "$label_color": "$hover_text_color",
        "controls": [
            {
                "label@demoHudUI.button_label": {}
            }
        ]
    },
    "pressed": {
        "layer": "$texture_layer",
        "texture": "$pressed_texture",
        "type": "image",
        "$nineslice_size|default": 0,
        "nineslice_size": "$nineslice_size"
    },
    "locked": {
        "layer": "$texture_layer",
        "texture": "$locked_texture",
        "type": "image",
        "$nineslice_size|default": 0,
        "nineslice_size": "$nineslice_size"
    },
    "hover": {
        "layer": "$texture_layer",
        "texture": "$hover_texture",
        "type": "image",
        "$nineslice_size|default": 0,
        "nineslice_size": "$nineslice_size"
    },
    "default": {
        "layer": "$texture_layer",
        "texture": "$default_texture",
        "type": "image",
        "$nineslice_size|default": 0,
        "nineslice_size": "$nineslice_size"
    },
    "button_label": {
        "$label_color|default": [ 0, 0, 0 ],
        "$label_layer|default": 1,
        "$label_font_size|default": "normal",
        "$label_offset|default": [ 0, 0 ],
        "$label_text|default": "",
        "$label_shadow|default": false,
        "$label_font_scale_factor|default" : 1.0,
        "font_scale_factor": "$label_font_scale_factor",
        "color": "$label_color",
        "font_size": "$label_font_size",
        "font_type": "smooth",
        "layer": "$label_layer",
        "max_size": [ "100%", "100%" ],
        "size": [ "default", "default" ],
        "offset": "$label_offset",
        "shadow": "$label_shadow",
        "text": "$label_text",
        "text_alignment": "center",
        "type": "label"
    }
}